# Uses of Interface
org.snpeff.interval.tree.Itree

Packages that use Itree
Package
Description
org.snpeff.interval.tree

## Uses of Itree in org.snpeff.interval.tree

Classes in org.snpeff.interval.tree that implement Itree
Modifier and Type
Class
Description
`class`
`IntervalTree`
An Interval Tree is essentially a map from intervals to objects, which can be queried for all data associated with a particular interval of point
`class`
`IntervalTreeArray`
Interval tree structure using arrays This is slightly faster than the new IntervalTree implementation
`class`
`IntervalTreeOri`
An Interval Tree is essentially a map from intervals to objects, which can be queried for all data associated with a particular interval of point
Classes in org.snpeff.interval.tree that implement interfaces with type arguments of type Itree
Modifier and Type
Class
Description
`class`
`IntervalForest`
A set of interval trees (e.g.
Methods in org.snpeff.interval.tree that return Itree
Modifier and Type
Method
Description
`Itree`
IntervalForest.`getOrCreateTree(String id)`
Get (or create) an interval tree for ID
`Itree`
IntervalForest.`getOrCreateTreeChromo(String chromo)`
Get (or create) an interval tree based for "chromo" (chromosome name)
`Itree`
IntervalForest.`getTree(String key)`
Get an interval tree using an ID
`Itree`
IntervalForest.`getTreeChromo(String chromo)`
Get an interval tree using a chromosome name
`protected Itree`
IntervalForest.`newItree()`
Create new tree.
Methods in org.snpeff.interval.tree that return types with arguments of type Itree
Modifier and Type
Method
Description
`Iterator<Itree>`
IntervalForest.`iterator()`